Name:           python-django-froala-editor
Version:        4.5.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        django-froala-editor package helps integrate Froala WYSIWYG HTML editor with Django.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://github.com/froala/django-froala-editor/
Source:         %{pypi_source django-froala-editor}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'django-froala-editor' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-django-froala-editor
Summary:        %{summary}

%description -n python3-django-froala-editor %_description


%prep
%autosetup -p1 -n django-froala-editor-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-django-froala-editor -f %{pyproject_files}


%changelog
%autochangelog